## neutron-fwaas 10.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.1.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
pyroute2>=0.4.12 # Apache-2.0 (+ dual licensed GPL2)
# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-fwaas (1:10.1.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 14:57:37 +0000

neutron-fwaas (1:10.1.0-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:24:00 -0400

neutron-fwaas (1:10.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata (LP: #1706297).
  * d/p/*: Drop patches, in upstream stable branch.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:36:41 +0100

## neutron-fwaas 11.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.9.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.privsep!=1.17.0,>=1.9.0 # Apache-2.0
pyroute2!=0.4.18,!=0.4.19,!=0.4.20,>=0.4.17 # Apache-2.0 (+ dual licensed GPL2)
# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-fwaas (1:11.0.1-0ubuntu1) artful; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 10:51:10 -0400

neutron-fwaas (1:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:03:11 +0100

neutron-fwaas (1:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:28:47 -0400

neutron-fwaas (1:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:35:24 -0400

neutron-fwaas (1:11.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:35:42 -0400

neutron-fwaas (1:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:34:22 +0100

neutron-fwaas (1:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:08:18 +0100

neutron-fwaas (1:11.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/p/*: Drop patches, in upstream stable branch.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 15:19:22 +0100

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-pymysql (>= 0.7.6),
                     python-netaddr (>= 0.7.13),
                     python-neutron-lib (>= 1.9.0),
                     python-neutron (>= 2:11.0.0~),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pyroute2 (>= 0.4.17),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python-webtest (>= 2.0),
                     rename,
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-eventlet (>= 0.18.2),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 1.9.0),
         python-neutron (>= 2:11.0.0~),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pyroute2 (>= 0.4.17),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends}
Breaks: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Replaces: neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

## neutron-fwaas 11.0.2

=== debian/changelog ===
neutron-fwaas (1:11.0.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * d/gbp.conf: Set debian-branch to stable/pike.
  * New stable point release for OpenStack Pike (LP: #1806041).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:08:29 -0500

neutron-fwaas (1:11.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 17:54:36 +0000

## neutron-fwaas 12.0.0

=== debian/changelog ===
neutron-fwaas (1:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:42:25 +0000

neutron-fwaas (1:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:53:57 +0000

neutron-fwaas (1:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:51:11 -0500

neutron-fwaas (1:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 15:06:53 +0000

neutron-fwaas (1:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 16:56:52 +0000

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: http://github.com/openstack/neutron-fwaas

Package: python-neutron-fwaas
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-eventlet (>= 0.18.2),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-pyroute2 (>= 0.4.21),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Replaces:
 neutron-common (<< 1:2015.1~b2-0ubuntu1~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Firewall-as-a-Service driver for Neutron.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	# NOTE: scrub usr/etc and usr/bin folder from install.
	rm -rf debian/python-neutron-fwaas/usr/etc debian/python-neutron-fwaas/usr/bin
	dh_install

override_dh_fixperms:
	find debian/python-neutron-fwaas -name __init__.py -exec chmod a-x {} \;
	dh_fixperms

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

override_dh_auto_clean:
	rm -rf .testrepository
	dh_auto_clean

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-fwaas neutron-fwaas-(12\.\d.*)\.tar\.gz

## neutron-fwaas 12.0.1

=== debian/changelog ===
neutron-fwaas (1:12.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:15:45 -0500

## neutron-fwaas 12.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.13.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-fwaas (1:12.0.2-0ubuntu1) bionic; urgency=medium

  * d/watch: Update to point at OpenDev.
  * New stable point release for OpenStack Queens (LP: #1893234).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 28 Aug 2020 12:11:39 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-fwaas neutron-fwaas-(12\.\d.*)\.tar\.gz

## neutron-fwaas 13.0.0

=== debian/changelog ===
neutron-fwaas (1:13.0.0-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 16:30:59 +0200

neutron-fwaas (1:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
    - Didn't add sphinxmark >=0.1.14.
  * Removed patches applied upstream:
    - Filter_out_conntrack_entries_with_unknown_protocol.patch
    - fix-fwaas-rpc_worker-start.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Aug 2018 23:05:16 +0200

neutron-fwaas (1:12.0.0-4) unstable; urgency=medium

  * Add fix-fwaas-rpc_worker-start.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jul 2018 11:24:34 +0200

neutron-fwaas (1:12.0.0-3) unstable; urgency=medium

  * Add Filter_out_conntrack_entries_with_unknown_protocol.patch to fix
    solving upgrade from Pike to Queens.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 May 2018 09:29:39 +0200

neutron-fwaas (1:12.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove Python 2.7 in description (Closes: #891951).

 -- David Rabel <david.rabel@noresoft.com>  Fri, 09 Mar 2018 17:19:19 +0100

neutron-fwaas (1:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Refresh MANIFEST.in patch.
  * Fixed generating config files.
  * Standards-Version: is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 21:36:24 +0000

neutron-fwaas (1:11.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Standards-Version is now 4.1.1.
  * Fixed (build-)depends for this release.
  * Removed / rebased patches.
  * Building neutron_fwaas.conf at package build.
  * Install config files correctly and rm -rf config files in /usr/etc.
  * Remove build-depends on dh-systemd.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 08:56:14 +0100

=== debian/control ===
Source: neutron-fwaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pygments,
 python3-pymysql,
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-fwaas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-fwaas.git
Homepage: https://github.com/openstack/neutron-fwaas

Package: neutron-fwaas-common
Architecture: all
Depends:
 neutron-common,
 python3-neutron-fwaas (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python3-neutron-fwaas (<< 1:9.0.0~),
Replaces:
 python3-neutron-fwaas (<< 1:9.0.0~),
Description: OpenStack Firewall as a Service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains common files for the Neutron load balancer.

Package: neutron-fwaas-l3-agent
Architecture: all
Depends:
 neutron-fwaas-common (= ${source:Version}),
 neutron-l3-agent,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Firewall as a Service - transitional dummy package
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package is a transitional dummy package for the FWaaS l3 agent.

Package: python3-neutron-fwaas
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-eventlet,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 iputils-arping,
Description: OpenStack Firewall as a Service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library for the Firewall as a Service agent.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-fwaas.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_fwaas\.tests\.unit\.(?!.*services\.firewall\.plugins\.cisco\.test_cisco_fwaas_plugin\.TestCiscoFirewallPlugin\.test_update_csr_firewall.*)'
endif

	mkdir -p $(CURDIR)/debian/neutron-fwaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini \
		--wrap-width 140 \
		--namespace firewall.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/neutron_fwaas.conf \
		--wrap-width 140 \
		--namespace neutron.fwaas

	# Enable the plugin by default
	pkgos-fix-config-default $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini fwaas driver neutron_fwaas.services.firewall.drivers.linux.iptables_fwaas.IptablesFwaasDriver
	pkgos-fix-config-default $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/fwaas_driver.ini fwaas enabled true

	mkdir -p $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/rootwrap.d
	cp etc/neutron/rootwrap.d/fwaas-privsep.filters $(CURDIR)/debian/neutron-fwaas-common/etc/neutron/rootwrap.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

## neutron-fwaas 13.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.18.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
neutron>=13.0.0.0b1 # Apache-2.0
pyzmq>=14.3.1 # LGPL+BSD

=== debian/changelog ===
neutron-fwaas (1:13.0.1-7) unstable; urgency=medium

  * Add fix-default-firewall-group-rules.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 21:20:56 +0100

neutron-fwaas (1:13.0.1-6) unstable; urgency=medium

  * Update German po file (Closes: #920526)
  * Update Russian po file (Closes: #920602)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 Feb 2019 19:24:11 +0100

neutron-fwaas (1:13.0.1-5) unstable; urgency=medium

  * Remove transition package, useless after Stretch release.
  * Get rid of neutron-fwaas-common, and move all to python3-neutron-fwaas.
  * Fix the neutron config in the prerm so that neutron-plugin-manage can read
    the entry point before removal (Closes: #919625).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Jan 2019 08:34:24 +0100

neutron-fwaas (1:13.0.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * Make python3-neutron-fwaas depends on neutron-fwaas-common, not the way
    around, so that puppet grabs things correctly.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Jan 2019 12:45:14 +0100

neutron-fwaas (1:13.0.1-3) unstable; urgency=medium

  * Package /etc/neutron/{agent,server}.conf.d symlink directly in the package,
    not (de-)activating them in post{inst,rm} anymore.
  * Added initial Debconf template translations, with thanks to:
    - Dutch: Frans Spiesschaert (Closes: #914534).
    - Russian: Lev Lamberov (Closes: #914170).
    - French: Jean-Pierre Giraud (Closes: #913998).
    - Portuguese: Traduz PT (Closes: #912881).
    - German: Chris Leick (Closes: #912738).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 05:32:49 +0100

neutron-fwaas (1:13.0.1-2) unstable; urgency=medium

  * Add check if neutron-plugin-manage exist

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 03 Dec 2018 12:52:13 +0100

neutron-fwaas (1:13.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 07 Nov 2018 16:05:53 +0100

neutron-fwaas (1:13.0.0-5) unstable; urgency=medium

  * Fix bad call of maintainer script in postrm

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 07 Nov 2018 15:45:39 +0100

neutron-fwaas (1:13.0.0-4) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix enable service-plugin in postints

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 29 Oct 2018 14:55:11 +0100

neutron-fwaas (1:13.0.0-3) unstable; urgency=medium

  * Fix if user have database.connection set on
    agent-side of neutron. Now postinst will check
    if neutron-rpc-server service exists. If not,
    database migration will not be run.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 25 Oct 2018 19:06:13 +0200

neutron-fwaas (1:13.0.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright
  * neutron-fwaas-common:
    - Add question configure-fwaas ?
    - Add run_db_migration if configuring via debconf
    - Set some default values, ovs, iptables_v2 etc.
    - Enable plugin via maintainer plugin [neutron-common]
  * Add d/po
  * Add debconf stuff to dependencies

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 25 Oct 2018 15:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
+ po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -20,7 +22,7 @@
  python3-mock,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron (>= 2:13.0.0),
  python3-neutron-lib (>= 1.18.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr (>= 1.0.0),
@@ -55,32 +57,10 @@
 Package: neutron-fwaas-common
 Architecture: all
 Depends:
- neutron-common,
- python3-neutron-fwaas (= ${source:Version}),
+ python3-neutron-fwaas,
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends},
-Breaks:
- python3-neutron-fwaas (<< 1:9.0.0~),
-Replaces:
- python3-neutron-fwaas (<< 1:9.0.0~),
-Description: OpenStack Firewall as a Service - common files
- Neutron provides an API to dynamically request and configure virtual networks.
- These networks connect "interfaces" from other OpenStack services (such as
- vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
- network capabilities, including QoS, ACLs, and network monitoring.
- .
- This package contains common files for the Neutron load balancer.
-
-Package: neutron-fwaas-l3-agent
-Architecture: all
-Depends:
- neutron-fwaas-common (= ${source:Version}),
- neutron-l3-agent,
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: OpenStack Firewall as a Service - transitional dummy package
+Description: OpenStack Firewall as a Service - transition package
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -92,11 +72,14 @@
 Architecture: all
 Section: python
 Depends:
+ adduser,
+ debconf,
+ neutron-common,
  alembic (>= 0.8.10),
  python3-eventlet,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 2:13.0.0~rc1),
+ python3-neutron (>= 2:13.0.0),
  python3-neutron-lib (>= 1.18.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
@@ -112,12 +95,16 @@
  python3-sqlalchemy,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ neutron-fwaas-common (<< 1:13.0.1-5~),
+Replaces:
+ neutron-fwaas-common (<< 1:13.0.1-5~),
 Recommends:
  iputils-arping,
-Description: OpenStack Firewall as a Service - Python library
+Description: OpenStack Firewall as a Service Neutron plugin
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
  network capabilities, including QoS, ACLs, and network monitoring.
  .
- This package provides the Python library for the Firewall as a Service agent.
+ This package provides the Firewall as a Service plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-fwaas.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f python3-neutron-fwaas.postinst

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-neutron-fwaas.postinst

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_fwaas\.tests\.unit\.(?!.*services\.firewall\.plugins\.cisco\.test_cisco_fwaas_plugin\.TestCiscoFirewallPlugin\.test_update_csr_firewall.*)'
endif

	mkdir -p $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini \
		--wrap-width 140 \
		--namespace firewall.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/neutron_fwaas.conf \
		--wrap-width 140 \
		--namespace neutron.fwaas

	# Enable the plugin by default
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas driver iptables_v2
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas enabled True
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas conntrack_driver netlink_conntrack
	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/fwaas_driver.ini fwaas firewall_l2_driver ovs

	pkgos-fix-config-default $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/neutron_fwaas.conf service_providers service_provider FIREWALL_V2:fwaas_db:neutron_fwaas.services.firewall.service_drivers.agents.agents.FirewallAgentDriver:default

	mkdir -p $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/rootwrap.d
	cp etc/neutron/rootwrap.d/fwaas-privsep.filters $(CURDIR)/debian/python3-neutron-fwaas/etc/neutron/rootwrap.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

## neutron-fwaas 13.0.2

=== debian/changelog ===
neutron-fwaas (1:13.0.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1837866).
  * d/p/netfilter_log-Correct-decode-binary-types.patch: Dropped
    Fixed upstream in 13.0.2.
  * d/p/pyzmq-disable.patch: Rebased.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 25 Jul 2019 14:39:53 +0200

neutron-fwaas (1:13.0.1-0ubuntu1.1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 02 Jul 2019 17:59:55 +0000

neutron-fwaas (1:13.0.1-0ubuntu1.1) cosmic; urgency=medium

  * d/p/netfilter_log-Correct-decode-binary-types.patch: Cherry pick fix
    to resolve decoding of netfilter log prefix information under Python
    3 (LP: #1832210).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jun 2019 10:27:44 +0100

neutron-fwaas (1:13.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/pyzmq-disable.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 12:21:16 -0500

neutron-fwaas (1:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:34:45 -0400

neutron-fwaas (1:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/control: Add zmq to BD's.
  * d/control,d/p/pyzmq-disable.patch: Disable hard runtime requirement on
    zeromq; optionally required for new libnetfilter_log support so document
    via Suggests instead.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Aug 2018 12:29:31 +0100

neutron-fwaas (1:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 11:26:51 -0400

neutron-fwaas (1:13.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/control: Add Breaks/Replaces for python-vmware-nsx. There was a conflict
    where both packages were attempting to install neutron-fwaas.json. The
    installation of that file from vmware-nsx has been dropped allowing
    neutron-fwaas-common to install it.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 09:07:28 -0400

neutron-fwaas (1:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BD's.
    - d/rules: Use pkgos-dh_auto_install.
    - d/control: Add python3-neutron-fwaas.
    - d/python-neutron-fwaas.install: Drop, not needed.
    - d/common: Add neutron-fwaas-common package for shared
      config files.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 10:51:06 +0100

neutron-fwaas (1:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:01:51 +0100

neutron-fwaas (1:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 21:15:11 -0700

## neutron-fwaas 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.25.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
neutron>=13.0.0.0b1 # Apache-2.0
pyzmq>=14.3.1 # LGPL+BSD

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-fwaas (1:14.0.0-0ubuntu1.1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ James Page ]
  * d/p/netfilter_log-Correct-decode-binary-types.patch: Cherry pick fix
    to resolve decoding of netfilter log prefix information under Python
    3 (LP: #1832210).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Jun 2019 10:27:58 +0100

neutron-fwaas (1:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:56:11 +0100

neutron-fwaas (1:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:12:31 +0000

neutron-fwaas (1:14.0.0~b2-0ubuntu2) disco; urgency=medium

  * d/rules: Drop scrub of /usr/bin from python3-neutron-fwaas, fixup
    shebang in Python scripts.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2019 06:10:43 +0000

neutron-fwaas (1:14.0.0~b2-0ubuntu1) disco; urgency=medium

  * d/watch: Monitor 14.x series.
  * New upstream milestone for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 17:34:56 +0000

neutron-fwaas (1:14.0.0~b1~git2019013133.d2adcdec8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:38:02 +0000

neutron-fwaas (1:14.0.0~b1~git2018111632.f2c2a51a9-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules: Drop Python 2 support.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:07:30 +0000

=== debian/control ===
Source: neutron-fwaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~),
 python3-neutron-lib (>= 1.25.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.4.21),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.8.2),
 python3-webtest (>= 2.0.27),
 python3-zmq,
 rename,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-fwaas
Homepage: https://github.com/openstack/neutron-fwaas
Testsuite: autopkgtest-pkg-python

Package: neutron-fwaas-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Replaces:
 python-neutron-fwaas (<< 1:13.0.0~b2-0ubuntu2~),
 python-vmware-nsx (<< 12.0.1-0ubuntu2~),
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files.

Package: python3-neutron-fwaas
Architecture: all
Depends:
 neutron-fwaas-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:14.0.0~),
 python3-neutron-lib (>= 1.25.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.4.21),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zmq,
Description: Firewall-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron-fwaas neutron-fwaas-(14\.\d.*)\.tar\.gz

## neutron-fwaas 14.0.1

=== debian/changelog ===
neutron-fwaas (1:14.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1858934).
  * d/p/pyzmq-disable.patch: Rebased.
  * d/p/netfilter_log-Correct-decode-binary-types.patch: Dropped. Fixed
    in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:52:20 -0500

neutron-fwaas (1:14.0.0-0ubuntu1.2~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 12:36:11 +0000

neutron-fwaas (1:14.0.0-0ubuntu1.2) disco; urgency=medium

  * d/p/bug1831986.patch: Cherry pick inflight fix to resolve compatibility
    with Percona XtraDB Cluster when operating in strict mode (LP: #1831986).

 -- James Page <james.page@ubuntu.com>  Mon, 02 Dec 2019 14:18:24 +0000
